Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.image
Class CodecInfo

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.image.CodecInfo

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class CodecInfo
extends QTByteObject
implements quicktime.jdirect.QuickTimeLib, java.lang.Cloneable

Corresponds to the Compressor Information Structure which describes the capabilities of compressors.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`CodecInfo(int cType, CodecComponent codec)` Consturcts a CodecInfo.

Method Summary
`java.lang.Object` | `clone()` Return a copy of the CodecInfo.
`static int` | `codecVersion()` determines the version of the installed image compression manager.
`int` | `getCompressFlags()` Get the flags that specify the compression capabilities of the component.
`int` | `getCompressionAccuracy()` Get the relative accuracy of the compression algorithm.
`int` | `getCompressionLevel()` Get the relative compression acheived by this component.
`int` | `getCompressionSpeed()` Get the relative speed of the component for compression operations.
`int` | `getDecompressFlags()` Get contains flags that specify the decompression capabilities of the component.
`int` | `getDecompressionAccuracy()` Get the relative accuracy of the decompression algorithm.
`int` | `getDecompressionSpeed()` Get the relative speed of the component for decompression operations.
`int` | `getFormatFlags()` Get the flags that describes the possible format for compressed data produced by this component.
`short` | `getMinimumHeight()` Get the height in pixels of the smallest image the component can handle.
`short` | `getMinimumWidth()` Get the width in pixels of the smallest image the component can handle.
`short` | `getRevisionLevel()` Get the version of the component.
`java.lang.String` | `getTypeName()` Get the compression algorithm used by the component.
`int` | `getVendor()` Get the developer of the component
`short` | `getVersion()` Get the version of the compressed data.
`java.lang.String` | `toString()` Returns the String representation of this Codec Information structure.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### CodecInfo

    public CodecInfo(int cType,
                     CodecComponent codec)
              throws StdQTException

  Consturcts a CodecInfo.
  QuickTime::GetCodecInfo
Parameters:
  `cType` - specifies the compressor type.
  `codec` - specifies a compressor identifier.

Method Detail

### codecVersion

    public static int codecVersion()
                            throws StdQTException

  determines the version of the installed image compression manager.
  see QuickTime::CodecManagerVersion

  Returns:
    version.

### getTypeName

    public java.lang.String getTypeName()
                                 throws UtilException

  Get the compression algorithm used by the component.
  Returns:
    the name of the compression algorithm.

### getVersion

    public short getVersion()

  Get the version of the compressed data.
  Returns:
    the version.

### getRevisionLevel

    public short getRevisionLevel()

  Get the version of the component.
  Returns:
    the component version.

### getVendor

    public int getVendor()

  Get the developer of the component
  Returns:
    the name of the developer.

### getDecompressFlags

    public int getDecompressFlags()

  Get contains flags that specify the decompression capabilities of the component.
  Returns:
    decompress flags.

### getCompressFlags

    public int getCompressFlags()

  Get the flags that specify the compression capabilities of the component.
  Returns:
    compress flags.

### getFormatFlags

    public int getFormatFlags()

  Get the flags that describes the possible format for compressed data produced by this component.
  Returns:
    format flags.

### getCompressionAccuracy

    public int getCompressionAccuracy()

  Get the relative accuracy of the compression algorithm.
  Returns:
    compression accuracy.

### getDecompressionAccuracy

    public int getDecompressionAccuracy()

  Get the relative accuracy of the decompression algorithm.
  Returns:
    decompression accuracy.

### getCompressionSpeed

    public int getCompressionSpeed()

  Get the relative speed of the component for compression operations.
  Returns:
    compression speed.

### getDecompressionSpeed

    public int getDecompressionSpeed()

  Get the relative speed of the component for decompression operations.
  Returns:
    decompression speed.

### getCompressionLevel

    public int getCompressionLevel()

  Get the relative compression acheived by this component.
  Returns:
    compression level.

### getMinimumHeight

    public short getMinimumHeight()

  Get the height in pixels of the smallest image the component can handle.
  Returns:
    minimum height.

### getMinimumWidth

    public short getMinimumWidth()

  Get the width in pixels of the smallest image the component can handle.
  Returns:
    minimum width.

### toString

    public java.lang.String toString()

  Returns the String representation of this Codec Information structure.
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Return a copy of the CodecInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD